## com.fasterxml.jackson.databind.util
Interface Provider<T>

Type Parameters:
  `T` - Type of objects provided

All Known Implementing Classes:
  CoreXMLDeserializers, CoreXMLSerializers, StdJdkSerializers

    public interface Provider<T>

Simple helper class used for decoupling instantiation of optionally loaded handlers, like deserializers and deserializers for libraries that are only present on some platforms.

Author:
  tatu

Method Summary
`Collection<T>` `provide()` Method used to request provider to provide entries it has

Method Detail

### provide

    Collection<T> provide()

  Method used to request provider to provide entries it has

Copyright © 2012 FasterXML. All Rights Reserved.